summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authordustball2019-05-27 11:14:20 +0200
committerdustball2019-05-27 11:14:20 +0200
commitccee34ef695acd08f03156d8f6a593b24b6d4f50 (patch)
tree7a04c66dc798af8a0d3695884f0c6b5bd5153ade /PKGBUILD
parent6bdd178bdc546d08cb06cbd47842b501972b55e5 (diff)
downloadaur-ccee34ef695acd08f03156d8f6a593b24b6d4f50.tar.gz
setuptools is a persistent dependency
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD26
1 files changed, 13 insertions, 13 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 3d0562f392b..90a1e09ac62 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,34 +2,34 @@
pkgname=quicktile-git
pkgver=20170907
-pkgrel=1
+pkgrel=2
url="https://github.com/ssokolow/quicktile"
pkgdesc="Lightweight standalone alternative to Compiz Grid plugin"
arch=('any')
license=('GPLv2')
-depends=('python2' 'pygtk' 'python2-xlib' 'python2-wnck')
+depends=('python2' 'pygtk' 'python2-xlib' 'python2-wnck' 'python2-setuptools')
optdepends=('python2-dbus')
-makedepends=('git' 'python2-setuptools')
+makedepends=('git')
_gitroot='git://github.com/ssokolow/quicktile.git'
_gitname='quicktile'
build()
{
- cd $srcdir
+ cd $srcdir
- msg "Cloning quicktile from GIT"
- if [ -d $_gitname ]; then
- cd $_gitname
- git pull || return 1
- else
- git clone $_gitroot $_gitname || return 1
- cd $_gitname
- fi
+ msg "Cloning quicktile from GIT"
+ if [ -d $_gitname ]; then
+ cd $_gitname
+ git pull || return 1
+ else
+ git clone $_gitroot $_gitname || return 1
+ cd $_gitname
+ fi
}
package()
{
- cd ${srcdir}/${_gitname}
+ cd ${srcdir}/${_gitname}
python2 setup.py install --root="${pkgdir}" --optimize=1
}